Subject: Re: [SWIPL] Announce: SWI-Prolog 4.0.8/XPCE 5.1.8

From: Paul Singleton <[email-masked]>
Date: Thu, 05 Jul 2001 23:43:39 +0100

Jan Wielemaker wrote:

>         * Added portability to Cygwin.  Using this version you can run
>         Prolog programs using the library(unix) on Windows, including
>         fork/1 and exec/1 calls.  Source only.  This change has fixed
>         many issues in the Makefiles to deal with non-ELF based systems.

This sounds good (e.g. for building servers using the socket stuff),
but what do binary-only Win32 users have to do before they can fork?
Can we get just the Cygwin library?  Are there licensing issues?

Paul Singleton